# -*- mode: rpm-spec ; mode: font-lock -*-
# $Id: repo-janitor.spec.in,v 1.5 2005/01/03 14:50:28 mok Exp $
#----------------------------------
%define comp xray

Summary: Utility to Maintain an Apt/Yum Enabled Repository
Name: repo-janitor
Version: 1.0
Release: 1%{?reltag}%{?repotag}
License: GPL
Group: Applications/System
URL: http://www.bioxray.dk/~mok/repo-janitor.php
Source0: %{name}-%{version}.tar.gz
Source1: COPYING
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArchitectures: noarch
Requires: python rpm-python python-HTMLgen apt

%description
Repo-janitor is a program for maintaining an Apt/Yum enabled RPM
repository. It takes care of all necessary tasks, such as mirroring an
external directory, checking permissions, generating index files, and
generating web pages for your Apt/Yum repository.

%prep
%setup -q

%build

python << EOF
import compileall
compileall.compile_dir(".")
EOF

%install

%define shared %{_datadir}/repo-janitor
mkdir -p %{buildroot}%{shared}
mkdir -p %{buildroot}%{_bindir}

for f in *.py *.pyc; do
   cp $f %{buildroot}%{shared}
done

install -m644 %{SOURCE1} %{buildroot}%{shared}
install -m755 repo-janitor %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,bin,bin,-)
%doc repo-janitor.texi janitor.xml test.xml atrpms.xml dag.xml freshrpms.xml ChangeLog
%{_bindir}/repo-janitor
%{_datadir}/repo-janitor/


%changelog
* Fri Jan 14 2005 Morten Kjeldgaard <mok@ghost.bioxray.dk> - 1.0
- Create repo metadata. Include texi docs.

* Thu Oct 21 2004 Morten Kjeldgaard <mok@ghost.bioxray.dk> 0.99-1.fc2.mok
- No longer requires mx.Stack

* Fri Jul 30 2004 Morten Kjeldgaard <mok@ghost.imsb.au.dk> 0.97-1.mok
- Added xml config files for freshrpms and dag repos

* Wed Jul 28 2004 Morten Kjeldgaard <mok@ghost.imsb.au.dk> 0.96-2.mok
- Added atrpms.xml 

* Mon Jun 28 2004 Morten Kjeldgaard <mok@ghost.imsb.au.dk> 0.96-1.mok
- rsync mirror method now works.
- Added x86_64 to list of allowed architectures
- Fixed unicode issues in webgen

* Fri Jun  4 2004 Morten Kjeldgaard <mok@ghost.imsb.au.dk> 0.95-1.mok
- Generate a web page for each package.

* Thu Jun  3 2004 Morten Kjeldgaard <mok@ghost.imsb.au.dk> 0.94-1.mok
- New command zap to clear convicted files (alternative to using
  --delete). A lock file is created while mirroring.

* Wed May 12 2004 Morten Kjeldgaard <mok@ghost.imsb.au.dk> 0.93-1.mok
- Changed shell type variable $RPM_BUILD_ROOT to macro %buildroot throughout
- Removed fc1 from release tag, since this package is release independent.

* Mon Apr 26 2004 Morten Kjeldgaard <mok@ghost.imsb.au.dk> 0.92-3.fc1.mok
- Added Requires: section

* Mon Apr 26 2004 Morten Kjeldgaard <mok@ghost.imsb.au.dk> 0.92-1.fc1.mok
- Built first release

* Mon Apr 19 2004 Morten Kjeldgaard <mok@ghost.imsb.au.dk> 0.91-1mok
- Initial build.

####
